/*
* Copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
* James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu, 
* and Ziyu Zhang, All rights reserved.
* Licensed under the Educational Community License version 1.0.
* See the full agreement at http://rted.public.iastate.edu/ .
*/
/*
*    Test name:		c_E_1_8_c.c
*
*    Test description:	Write K elements past the upper bound of a stack array
*			using a subscript. The array is passed to a function.
*			The file must be compiled with file c_E_1_8_c.c
*
*    Error line:        33
*
*    Keywords:		out-of-bounds
*			stack array
*			array indexing
*			function
*			write
*                       int
*
*    Last modified:	July 28, 2005
*/

#include "TEST_PARAM.H"

int func(int *arrayA, int i)
{
    int c = 0, sum = 0;
    
    arrayA[i] = c;  /* write K elements past the upper bound */

   for(i=0; i<N; i++)
       sum = sum + arrayA[i];

   ret();
   if(ret1==0) {               /* the value of ret1 = 1 */
      printf("Variable sum=%d", sum);
   } 

   return ret2;
}

