/*
* Copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
* James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu, 
* and Ziyu Zhang, All rights reserved.
* Licensed under the Educational Community License version 1.0.
* See the full agreement at http://rted.public.iastate.edu/ .
*/
/*
*    Test name:		c_B_1_b.c
*
*    Test description:	Overflow of a floating point stack variable. 
*			Increase the value of a variable until the overflow 
*			happens.
*
*    Error line:        37
*
*    Support files:     index_array.txt, TEST_CONST.H, TEST_PARAM.H
*    
*    Env. requirements: Not needed
*
*    Keywords:		floating point overflow
*                       float
*
*    Last modified:	June 26, 2005
*/

#include "TEST_PARAM.H"

#ifndef EXITCODE_OK
#define EXITCODE_OK 1
#endif

int main(void)
{
   float varA = 100.234567, i;

   for(i = 0; i < 100; i++) varA = varA*200.0;    /* overflow */ 

   ret();
   if(ret1!=1) printf("%f\n", varA);     /* ret1 = 1 */       

   return EXITCODE_OK;
}
