/*
* Copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
* James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu, 
* and Ziyu Zhang, All rights reserved.
* Licensed under the Educational Community License version 1.0.
* See the full agreement at http://rted.public.iastate.edu/ .
*/
/*
*    Test name:		c_B_3_b.c
*
*    Test description:	Divide by zero of a floating point variable. 
*
*    Error line:        38
*
*    Support files:     index_array.txt, TEST_CONST.H, TEST_PARAM.H
*    
*    Env. requirements: Not needed
*
*    Keywords:		floating pointer divide by zero
*                       float
*
*    Last modified:	June 26, 2005
*/

#include "TEST_PARAM.H"

#ifndef EXITCODE_OK
#define EXITCODE_OK 1
#endif

int main(void)
{
   float varA = 123.12, varB = 5.0;

   ret();
   varB = varB*(float)(ret1 + ret2) - 10.0;

   varA = varA/varB;    /* divide by zero */

   if(ret1!=1) printf("%f\n", varA);     /* ret1 = 1 */       

   return EXITCODE_OK;
}
