/*   Copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
  James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu,
  and Ziyu Zhang, All rights reserved.
  Licensed under the Educational Community License version 1.0.
  See the full agreement at http://rted.public.iastate.edu/license.txt . */
/*
/*
*    Test name:		c_J_5_b.c
*
*    Test description:	Write using NULL pointer.
*
*    Error line:        39
*
*    Support files:     index_array.txt, TEST_CONST.H, TEST_PARAM.H
*
*    Env. requirement:  Not needed
*
*    Keywords:		NULL pointer
*                       write
*                       main
*
*    Last modified:	July 31, 2005
*/

#include "TEST_PARAM.H"
#include <string.h>

#ifndef EXITCODE_OK
#define EXITCODE_OK 1
#endif

int main(void)
{
   char *ptrA, word[]="test", c = 'a', varA[] = "stop";
   int i;

   ptrA = strchr(word,c);      /* ptrA = NULL now */

   *ptrA = varA[0];   /* write to NULL pointer */

   ret();
   if(ret1!=1) printf("Variable ptrA=%s", *ptrA);

   return EXITCODE_OK;
}


