/*
* Copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
* James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu, 
* and Ziyu Zhang, All rights reserved.
* Licensed under the Educational Community License version 1.0.
* See the full agreement at http://rted.public.iastate.edu/ .
*/
/*
*    Test name:		c_A_3_d_in.c
*
*    Test description:	Read an unitialized stack array in a function,
*			The array is declared in main function and 
*			passed by pointer.
*			The file must be compiled with file c_A_3_d_in.c
*
*    Error line:        34
*		
*    Keywords:		uninitialized variables
*			stack array
*			function
*			pointer
*			int
*
*    Last modified:	June 1, 2005
*/

#include <stdio.h> 

int func(int *ptrA, int ret1)
{
   int c = 0;
   int i;

   c = c + *(ptrA+5);  
   if(ret1==0) printf("Variable c=%d", c); 
   if(ret1 != 1)  
      for(i=0; i<10; i++) printf("%d", ptrA[i]);

   return 1;
}

