/*
* Copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
* James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu, 
* and Ziyu Zhang, All rights reserved.
* Licensed under the Educational Community License version 1.0.
* See the full agreement at http://rted.public.iastate.edu/ .
*/
/*
*    Test name:		c_A_7_c_in.c
*
*    Test description:	Read using an uninitialized pointer in a function.
*			The file must be compiled with file c_A_7_c_in.c
*
*    Error line:        34
*		
*    Keywords:		uninitialized variables
*			uninitialized pointer
*			function
*			read
*			int
*
*    Last modified:	June 2, 2005 
*/

#include "TEST_PARAM.H"

int func(void)
{
   int b = 0, c = 0, *ptrA;
 
   ret();
   if(ret1 != 1) ptrA = &c;    /* the value of ret1 = 1 */

   b = b + *ptrA;     /* the pointer ptrA is uninitialized */

   if(ret2==0) {               /* the value of ret2 = 1 */
      printf("Variable b=%d", b);
   } 

   return ret1;
}

