/*
* Copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
* James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu, 
* and Ziyu Zhang, All rights reserved.
* Licensed under the Educational Community License version 1.0.
* See the full agreement at http://rted.public.iastate.edu/ .
*/
/*
*    Test name:		c_K_1_a.c
*
*    Test description:	Read an uninitialized stack variable in a function.
*			The file must be compile with file c_K_1_a.c
*
*    Error line:        31
*		
*    Keywords:		uninitialized variables
*			stack variables
*			function
*			C99 specific
*			read
*			long long int
*
*    Last modified:	July 7, 2005
*/

#include <stdio.h>

int func(long long int *ptrA, int ret1)
{
   long long int c = 987654321;
   c = c + *ptrA;  /* the pointer points to an uninitialized variable */

   if(ret1==0) printf("Variable c=%lld", c);

   return 1;
}

