/*
* Copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
* James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu, 
* and Ziyu Zhang, All rights reserved.
* Licensed under the Educational Community License version 1.0.
* See the full agreement at http://rted.public.iastate.edu/ .
*/
/*
*    Test name:		c_K_1_c.c
*
*    Test description:	Read an uninitialized dynamically allocated array 
*			passed to function. Use pointer arithmetic.
*			The file must be compiled with file c_K_1_c.c
*
*    Error line:        35
*		
*    Keywords:		uninitialized variables
*			dynamically allocated array
*			function
*			pointer arithmetic
*			C99 specific
*			read
*			long long int
*
*    Last modified:	July 7, 2005
*/

#include <stdio.h>

int func(long long int *ptrA, int ret1)
{
   long long int *ptrB, c = 987654320;

   ptrB = ptrA;
   c = c + *(ptrB+5); /* read from an uninitialized array */
   if(ret1 != 1) printf("%lld", c);      /* the value of ret1 = 1 */

   return 1;
}

