/*
* Copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
* James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu, 
* and Ziyu Zhang, All rights reserved.
* Licensed under the Educational Community License version 1.0.
* See the full agreement at http://rted.public.iastate.edu/ .
*/
/*
*    Test name:		c_E_1_6_e.c
*
*    Test description:	Write K elements before the lower bound of an array
*			of structures declared and used in a function. 
*			Use array indexing.
*			The file must be compiled with file c_E_1_6_e.c
*
*    Error line:        42
*
*    Keywords:		out-of-bounds
*			array indexing
*			array of structures
*			function
*			write
*                       int
*
*    Last modified:	July 28, 2005
*/

#include "TEST_PARAM.H"

int func(void)
{
   int c = 0, sum = 0;
   int i;
   struct aab {
       char * nm;
       int b;
   } ss[N];

   for (i=0; i<N; i++)
        ss[i].b = i;
   i = i - N - K;
   ss[i].b = c;  /* write K elements before the lower bound */
   for(i=0; i<N; i++)
       sum = sum + ss[i].b;

   ret();
   if(ret1==0) {               /* the value of ret1 = 1 */
      printf("Variable sum=%d", sum);
   } 

   return ret2;
}

