/*
* Copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
* James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu, 
* and Ziyu Zhang, All rights reserved.
* Licensed under the Educational Community License version 1.0.
* See the full agreement at http://rted.public.iastate.edu/ .
*/
/*
*    Test name:		c_E_2_4_c.c
*
*    Test description:	Write one element past the upper bound of a stack array
*			using an array of indexes. The array is declared in main function
*			and passed to a function as an argument.
*
*    Support files:     c_E_2_4_c_s.c, index_array.txt, TEST_CONST.H, TEST_PARAM.H
*    
*    Env. requirements: Not needed
*
*    Keywords:		out-of-bounds
*			array indexing
*			stack array
*			function
*			fence-post error
*			off-by-one error
*			write
*                       int
*
*    Last modified:	July 28, 2005
*
*    Programmer:        Olga Taborskaia, Iowa State University
*/

#include <stdio.h> 
#include "TEST_CONST.H"

#ifndef EXITCODE_OK
#define EXITCODE_OK 1
#endif

int func(int *arrayA);

int main(void)
{
   int arrayA[N];
   int a, i;

   for(i=0; i<N; i++) arrayA[i] = i;
   a = func(arrayA); 
   if(a!=1) printf("Variable a=%d", a);
   
   return EXITCODE_OK;
}
