/*   Copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
  James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu,
  and Ziyu Zhang, All rights reserved.
  Licensed under the Educational Community License version 1.0.
  See the full agreement at http://rted.public.iastate.edu/license.txt .*/
/*
*    Test name:		c_I_1_d.c
*
*    Test description:	Allocate memory twice using the same pointer 
*                       without deallocating it first 
*                       and without associating another pointer   
*                       with the first block of memory. 
*                       Pass a pointer by address to a function 
*                       where use it to allocate memory; do recursive call.
*
*    Support files:     c_I_1_d_s.c, index_array.txt, TEST_CONST.H, TEST_PARAM.H
*
*    Env. requirement:  Not needed
*
*    Keywords:		memory leak
*                       double allocation
*                       unreferenced memory
*			recursive function
*			int
*
*    Last modified:	June 30, 2005
*/

#ifndef EXITCODE_OK
#define EXITCODE_OK 1
#endif

void func(int **);

int count = 0;

int main(void)
{
   int *ptrA;

   func(&ptrA);
   return EXITCODE_OK;
}
