/*   Copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
  James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu,
  and Ziyu Zhang, All rights reserved.
  Licensed under the Educational Community License version 1.0.
  See the full agreement at http://rted.public.iastate.edu/license.txt . */
/*
/*
*    Test name:		c_J_5_a.c
*
*    Test description:	Read using NULL pointer.
*
*    Error line:        43
*
*    Support files:     index_array.txt, TEST_CONST.H, TEST_PARAM.H
*
*    Env. requirement:  Not needed
*
*    Keywords:		NULL pointer
*                       read
*                       main
*
*    Last modified:	July 31, 2005
*/

#include "TEST_PARAM.H"
#include <string.h>

#ifndef EXITCODE_OK
#define EXITCODE_OK 1
#endif

#ifndef EXITCODE_ERROR
#define EXITCODE_ERROR 2
#endif

int main(void)
{
   char *ptrA, word[]="test", c = 'a', varA;
   int i;

   ptrA = strchr(word,c);   /* ptrA = NULL now */

   varA = *ptrA;   /* read NULL pointer */

   ret();
   if(ret1!=1) printf("Variable varA=%c", varA);

   return EXITCODE_OK;
}


