/*
* Copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
* James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu, 
* and Ziyu Zhang, All rights reserved.
* Licensed under the Educational Community License version 1.0.
* See the full agreement at http://rted.public.iastate.edu/ .
*/
/*
*    Test name:		c_C_1_1_a.c
*
*    Test description:	Call a function that does not have a prototype 
*                       with incorrect argument data types.
*                       Pass a scalar instead of a pointer.
*
*    Error line:        45
*
*    Support files:     c_C_1_1_a_s.c, index_array.txt, TEST_CONST.H, TEST_PARAM.H 
*    
*    Env. requirements: Not needed
*
*    Keywords:		incorrect argument data types
*			function
*                       no prototype
*                       pass scalar instead of pointer
*                       C only
*
*    Last modified:	June 28, 2005
*
*    Programmer:        Olga Taborskaia, Iowa State University
*/

#include "TEST_PARAM.H"

#ifndef EXITCODE_OK
#define EXITCODE_OK 1
#endif

int main(void)
{
   int varA ;
   int varB;
    
   varA = 1;

   varB = func(varA);

   ret();
   if(ret2!=1) printf("%d\n", varB);     /* the value of ret2 = 1 */

   return EXITCODE_OK; 
}
