/*
* Copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
* James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu, 
* and Ziyu Zhang, All rights reserved.
* Licensed under the Educational Community License version 1.0.
* See the full agreement at http://rted.public.iastate.edu/ .
*/
/*
*    Test name:		c_C_1_3_c.c
*
*    Test description:	Call a function with incorrect argument data types.
*                       The function has a prototype, but the function definition
*                       in a separate file uses an argument of different type.
*			The file must be compiled with file c_C_1_3_c.c
*
*    Keywords:		incorrect argument data types
*			function
*                       pass pointer instead of pointer to pointer
*
*    Last modified:	June 28, 2005
*/

int func(int **c)
{
   int b = 0;
   int *d;
    
   d = *c; 
   b = b + *d;

   return b;
}
