/*
* Copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
* James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu, 
* and Ziyu Zhang, All rights reserved.
* Licensed under the Educational Community License version 1.0.
* See the full agreement at http://rted.public.iastate.edu/ .
*/
/*
*    Test name:		c_A_1_d_in.c
*
*    Test description:	Declare a stack variable in main function,
*			pass it by value to a function,
*			and read it there uninitialized.
*
*    Error line:        49
*
*    Support files:     index_array.txt, TEST_CONST.H, TEST_PARAM.H, c_A_1_d_in_s.c
*    
*    Env. requirements: Not needed
*
*    Keywords:		uninitialized variables
*			stack variable
*			function
*			int
*
*    Last modified:	May 27, 2005
*
*    Programmer:        Olga Taborskaia, Iowa State University
*/

#include "TEST_PARAM.H"

#ifndef EXITCODE_OK
#define EXITCODE_OK 1
#endif

int func(int varA, int ret1);

int main(void)
{
   int varA;
   int b;
    
   ret();
   if(ret1 != 1) varA = 0;

/* Pass an uninitialized variable varA to a function */

   b = func(varA,ret1);

   if(b!=1) printf("Variable b=%d", b);
    
   return EXITCODE_OK; 
}
