/*
* Copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
* James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu, 
* and Ziyu Zhang, All rights reserved.
* Licensed under the Educational Community License version 1.0.
* See the full agreement at http://rted.public.iastate.edu/ .
*/
/*
*    Test name:		c_A_2_d_in.c
*
*    Test description:	Declare a stack array in main function,
*			pass it to a function as an argument,
*			and read it there uninitialized using array indexing.
*			The file must be compiled with file c_A_2_d_in.c
*
*    Error line:        34
*		
*    Keywords:		uninitialized variables
*			stack array
*			function
*			array indexing
*			int
*
*    Last modified:	May 27, 2005
*/

#include <stdio.h> 

int func(int *arrayA, int ret1)
{
   int c = 0;
   int i;

   c = c + arrayA[0]; /* the arrayA is uninitialized */

   if(ret1==0) printf("Variable c=%d", c);

   return 1;
}

