/*
* Copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
* James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu, 
* and Ziyu Zhang, All rights reserved.
* Licensed under the Educational Community License version 1.0.
* See the full agreement at http://rted.public.iastate.edu/ .
*/
/*
*    Test name:		c_A_9_e.c
*
*    Test description:	Use an uninitialized variable 
*			for "do-while" loop condition.
*
*    Error line:        45
*
*    Support files:     index_array.txt, TEST_CONST.H, TEST_PARAM.H
*    
*    Env. requirements: Not needed
*
*    Keywords:		uninitialized variables
*			main function
*                       do-while loop
*
*    Last modified:	June 22, 2005
*
*    Programmer:        Olga Taborskaia, Iowa State University
*/

#include "TEST_PARAM.H"

#ifndef EXITCODE_OK
#define EXITCODE_OK 1
#endif

int main(void)
{
   int a = 1, i = 0, varm;
    
   ret();
   if(ret1 != 1) varm = K;                /* the value of ret1 = 1 */
   do {
      a = a + 1;
      if(i==1) break;
      i++;
      } while(i<varm);
 
   if(ret2!=1) printf("%d", a);        /* the value of ret2 = 1 */

   return EXITCODE_OK; 
}
