!***************************************************************************  
!  copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
!  James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu,
!  and Ziyu Zhang, All rights reserved.
!  Licensed under the Educational Community License version 1.0.
!  See the full agreement at http://rted.public.iastate.edu/ .
!***************************************************************************
!***************************************************************************
!
!     Name of the test:  F_H_1_4_d.f90
!
!     Summary:           allocation/deallocation error
!
!     Test description:  deallocate an pointer with undefined association status
!                        a pointer in the main progran
!
!     Support files:     F_H_1_4_d_s.f90
!
!     Env. requirements: Not needed
!
!     Keywords:          deallocation error
!                        main program
!
!
!     Last modified:     6/1/2005
!
!     Programmer:        Ying Xu, Iowa State Univ.
!*************************************************************************
program tests
  use F_H_1_4_d_s
  implicit none
  
  integer :: n=10, m=20
  integer :: i,j
  double precision :: var
  call sub(n,m,var)
  print *,var
end program tests
