!***************************************************************************  
!  copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
!  James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu,
!  and Ziyu Zhang, All rights reserved.
!  Licensed under the Educational Community License version 1.0.
!  See the full agreement at http://rted.public.iastate.edu/ .
!***************************************************************************
!***************************************************************************
!
!     Name of the test:  F_H_3_1_f.f90
!
!     Summary:           Memory Allocation and Deallocation Errors
!
!     Test description:  try to declare very big stack arrays/pointer in the procedure 
!                        The error occurs in the module function.
!
!     Support files:     F_H_3_1_f_s.f90
!
!     Env. requirements: not needed
!
!     Keywords:          stack overflow
!
!     Last modified:     05/29/05
!
!     Programmer:        Ying Xu
!*************************************************************************
program test
  use F_H_3_1_f_s

  implicit none
  double precision :: var
  integer :: m
  m=1000000
  var = 0.0
  var = sub(m)
  print *,var
end program test

