!***************************************************************************  
!  copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
!  James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu,
!  and Ziyu Zhang, All rights reserved.
!  Licensed under the Educational Community License version 1.0.
!  See the full agreement at http://rted.public.iastate.edu/ .
!***************************************************************************
!***************************************************************************
!
!     Name of the test:  F_F_1_1_2_b_t.f90
!
!     Summary:           Out of bounds indexing of arrays
!
!     Test description:  out-of-bounds indexing of 1 D statically allocated array 
!                        The array is derived data type.
!
!     Support files:     not needed
!
!     Env. requirements: not needed
!
!     Keywords:          out-of-bounds indexing 
!                        derived array 
!
!     Last modified:     05/24/05
!
!     Programmer:        Ying Xu
!*************************************************************************
!---------------------------------------------------------------

program wstack
  implicit none
  type S
     integer :: num
     character :: gender 
  end type S
  type(S), dimension(:) :: SS(20)
  integer :: indx
  integer :: a =1
  character :: b = 'm'

  do indx=1,20
     ss(indx)%num = indx
     ss(indx)%gender = 'f'
  end do
  print *,'before SS(1)=',ss(1)
  ss(indx+9)%num = a       ! Storing beyond the bound ERROR
  print *,'after SS(1)=',ss(1)%num
  stop
end program wstack
