!***************************************************************************  
!  copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
!  James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu,
!  and Ziyu Zhang, All rights reserved.
!  Licensed under the Educational Community License version 1.0.
!  See the full agreement at http://rted.public.iastate.edu/ .
!***************************************************************************
!***************************************************************************
!
!     Name of the test:  F_F_1_6_2_c_r.f90
!
!     Summary:           Out of bounds indexing of arrays
!
!     Test description:  out-of-bounds indexing of 1 D statically allocated array
!                        through a vector index 
!                        The array is real.
!
!     Support files:     not needed
!
!     Env. requirements: not needed
!
!     Keywords:          out-of-bounds indexing 
!                        real array 
!
!     Last modified:     05/24/05
!
!     Programmer:        Ying Xu
!*************************************************************************
program test
  implicit none
  integer, parameter :: N=10
  real :: arr(N), arr1(n)    ! DECLARE
  integer :: i
  integer, dimension(1:N) :: index = (/1,2,3,4,5,6,7,0,9,10/)
  do i=1,n
     arr(i) = dble(i)
  end do
  arr1(1:n) = arr(index) - 10.d0     ! ERROR
  print *,arr1(n/2)
end program test
