!***************************************************************************  
!  copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
!  James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu,
!  and Ziyu Zhang, All rights reserved.
!  Licensed under the Educational Community License version 1.0.
!  See the full agreement at http://rted.public.iastate.edu/ .
!***************************************************************************
!***************************************************************************
!
!     Name of the test:  F_F_5_1_3_a_d.f90
!
!     Summary:           Out of bounds indexing of arrays
!
!     Test description:  out-of-bounds indexing of assumed-size A(M1:M2,*) 
!                        2 D array dummy argument in a module subroutine
!                        The array is double precision.
!
!     Support files:     F_F_5_1_3_a_d_s.f90
!
!     Env. requirements: not needed
!
!     Keywords:          out-of-bounds indexing 
!                        double precision array 
!
!     Last modified:     05/24/05
!
!     Programmer:        Ying Xu
!*************************************************************************
program tests

  use F_F_5_1_3_a_s_d
  implicit none

  integer,parameter :: n=20,m=10
  double precision :: arr(n,m),var
  call sub(arr,n,m,var)
  print *,arr(1,1),var
end program tests
