!***************************************************************************
!  copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
!  James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu,
!  and Ziyu Zhang, All rights reserved.
!  Licensed under the Educational Community License version 1.0.
!  See the full agreement at http://rted.public.iastate.edu/ .
!***************************************************************************
!***************************************************************************
!
!     Name of the test:  F_I_8.f90
!
!     Summary:           open twice of same file
!
!     Test description:  open twice of same file
!
!     Support files:     F_I_8.txt
!
!     Env. requirements: not needed
!
!     Keywords:          open twice
!
!     Last modified:     06/01/05
!
!     Programmer:        Ying Xu
!*************************************************************************
program tests
  implicit none
  double precision ::  arr(3)
  integer :: i,j, x,y,z
  open (20,file='F_I_8.txt',status='unknown')
  do i=1,10
    x=i 
    y=x*x
    z=x*x*x
    write (20,fmt="(3i10)") x,y,z
  enddo
  open (11,file='F_I_8.txt',status='old')  ! ERROR 
  read (11,fmt="(3F20.10)") arr(3)
  print *,arr
  close(11)
end program tests
