module F_A_test_para
  implicit none
  type record
     integer :: age
     character :: gender
  end type record
end module F_A_test_para

module F_A_2_1_g_s_t
  use F_A_test_para 
  implicit none
  integer, public :: flag
  contains
    subroutine sub1(n,flag,var)
      integer, intent(in) :: n,flag
      type(record), intent(inout) :: var
      integer :: i,istat
      type(record), allocatable :: array(:)   ! DECLARE 
      type(record) :: tmp

      allocate(array(n),STAT=istat)
      if (istat==0) then
         if ( flag==1) then
            do i=1,N
               array(i)%age = i
               array(i)%gender = 'f'
            end do
         end if
         tmp%age = array(1)%age   ! read uninitialized array element. ERROR
         tmp%gender = 'f'
         var = tmp
      else
         var%age  = 20
         var%gender = 'm'
      end if
      deallocate(array)
    end subroutine sub1
  end module F_A_2_1_G_S_T
               
            
