!***************************************************************************  
!  copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
!  James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu,
!  and Ziyu Zhang, All rights reserved.
!  Licensed under the Educational Community License version 1.0.
!  See the full agreement at http://rted.public.iastate.edu/ .
!***************************************************************************
!***************************************************************************
!
!     Name of the test:  F_A_3_1_b_l.f90
!
!     Summary:           uninitialized variable 
!
!     Test description:  read uninitialized scalar
!                        uninitialized variable is declared in an internal function; 
!                        The variable is logical.
!
!     Support files:     not needed
!
!     Env. requirements: not needed
!
!     Keywords:          uninitialized scalar 
!                        in internal function 
!                        logical data type 
!
!     Last modified:     07/12/05
!
!     Programmer:        Ying Xu
!*************************************************************************
program main
  implicit none
  logical :: tmp      ! DECLARE
  logical :: var, expr
  double precision :: pi
  integer :: flag

  pi = atan(1.0)*4.0
  flag = int(sin(2.0*pi))

  var = .true.
  expr = .false.
  expr = fct1()
  var = expr
  print *,'var',var,' expr',expr
  contains
    logical function fct1()

      if (flag == 1) then
         tmp = .true. .and. var
      endif
      fct1 = .not. tmp       ! read the uninitialized variable. ERROR
      return
    end function fct1
end program main
