!***************************************************************************  
!  copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
!  James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu,
!  and Ziyu Zhang, All rights reserved.
!  Licensed under the Educational Community License version 1.0.
!  See the full agreement at http://rted.public.iastate.edu/ .
!***************************************************************************
!***************************************************************************
!
!     Name of the test:  F_A_1_1_c_a.f90
!
!     Summary:           uninitialized variable 

!
!     Test description:  read uninitialized statically allocated array
!                        uninitialized array is declared in an external subroutine; 
!                        The array is character string.

!
!     Support files:     not needed

!
!     Env. requirements: not needed
!
!     Keywords:          uninitialized static array 
!                        in external subroutine 
!                        character string type 

!
!     Last modified:     05/16/05
!
!     Programmer:        Ying Xu
!*************************************************************************
program main
  implicit none
  integer, parameter :: N=20
  character(len=N) :: str
  character(len=N*2) :: str1
  double precision :: pi
  integer :: i, flag

  pi = atan(1.0)*4.0
  flag = int(sin(2.0*pi))
  str = ' 1234567890 '
  call sub1(str1,N,flag)
  print *,'str1 :',str1,' str:', str

end program main

subroutine sub1(a,N,flag)
  integer, intent(in) :: N,flag
  character(*), intent(out):: a   ! DECLARE
  character(len=N) :: arr
  integer :: i
  if (flag == 1 ) then
     print *,'flag=',flag,' initialize arr in fct1'
     arr = repeat('12345',4)
  endif
  a = arr(1:1)  ! read uninitialized array element. ERROR
  return
end subroutine sub1

      
