!***************************************************************************  
!  copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
!  James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu,
!  and Ziyu Zhang, All rights reserved.
!  Licensed under the Educational Community License version 1.0.
!  See the full agreement at http://rted.public.iastate.edu/ .
!***************************************************************************
!***************************************************************************
!
!     Name of the test:  F_A_3_1_c_c.f90
!
!     Summary:           uninitialized variable 

!
!     Test description:  read uninitialized scalar
!                        uninitialized variable is declared in an external subroutine; 
!                        The variable is character.

!
!     Support files:     not needed

!
!     Env. requirements: not needed
!
!     Keywords:          uninitialized scalar 
!                        in external subroutine 
!                        character type 

!
!     Last modified:     05/16/05
!
!     Programmer:        Ying Xu
!*************************************************************************
program main
  implicit none
  character :: var, expr
  double precision :: pi
  integer :: flag

  pi = 4.0*atan(1.0)
  flag = int(sin(pi*2.0))
  var = '1'
  expr = ';'
  call sub1(expr,flag)
  print *,'var',var,' expr',expr
end program main

subroutine sub1(a,flag)
  implicit none
  integer, intent(in) :: flag
  character, intent(inout) :: a
  character :: tmp            ! DECLARE

  if (flag == 1) then
      tmp = '1'
  endif
  a =  achar(iachar(tmp)+5)     ! read the uninitialized variable. ERROR
  return
end subroutine sub1

