!***************************************************************************  
!  copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
!  James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu,
!  and Ziyu Zhang, All rights reserved.
!  Licensed under the Educational Community License version 1.0.
!  See the full agreement at http://rted.public.iastate.edu/ .         
!***************************************************************************
!***************************************************************************
!
!     Name of the test:  F_A_5_1_a_i.f90
!
!     Summary:           uninitialized variable 

!
!     Test description:  read uninitialized integer in ALLOCATE statement
!                        uninitialized variable is declared in an internal subroutine; 
!                        The variable is integer.
!
!     Support files:     not needed
!
!     Env. requirements: not needed
!
!     Keywords:          uninitialized integer
!                        in ALLOCATE statement 
!                        in internal subroutine 
!                        integer data type 
!
!     Last modified:     05/16/05
!
!     Programmer:        Ying Xu
!*************************************************************************
program main
  implicit none
  integer :: i,j, flag
  integer :: m,n        ! DECLARE
  double precision :: pi,tmp
  double precision, allocatable :: arr(:,:)
  pi = 4.0*atan(1.0)
  call random_number(tmp)
  flag = int(sin(tmp))
  m=2      
  if (flag ==1) then
     n=m
  end if

  allocate(arr(n,m))    ! ERROR 
  if (flag == 1) then
     arr(1,m) = cos(pi*m)
  end if
  print *,flag
  deallocate(arr)
end program main
