!***************************************************************************  
!  copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
!  James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu,
!  and Ziyu Zhang, All rights reserved.
!  Licensed under the Educational Community License version 1.0.
!  See the full agreement at http://rted.public.iastate.edu/ .       
!***************************************************************************
!***************************************************************************
!
!     Name of the test:  F_A_5_2_a_i.f90
!
!     Summary:           uninitialized variable 
!
!     Test description:  the integer variable is used as the upper bound of 
!                        a loop;
!                        uninitialized variable is declared in a main program; 
!                        The variable is integer.
!
!     Support files:     not needed
!
!     Env. requirements: not needed
!
!     Keywords:          as upper bound
!                        in main program
!                        integer data type 
!
!     Last modified:     05/16/05
!
!     Programmer:        Ying Xu
!*************************************************************************
program tests
  implicit none
  integer :: flag
  integer :: m,n,mm,i,j,count  ! DECLARE
  double precision, allocatable :: arr(:,:)
  double precision :: tmp
  
  m=2
  n=3
  count = 0
  call random_number(tmp)
  flag = int(sin(tmp))
  if ( flag==1) then
     mm=n
  end if
  allocate(arr(m,n))
  do j=1,m
     do i=1,mm   ! ERROR
        count = count+1
        if (count < 10) then
           arr(i,j) = dble(i*j)
        else
           exit
        end if
     end do
  end do
  print *,arr(m,n),count,flag
end program tests
