/*
* Copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
* James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu, 
* and Ziyu Zhang, All rights reserved.
* Licensed under the Educational Community License version 1.0.
* See the full agreement at http://rted.public.iastate.edu/ .
*/
/*
*    Test name:		c_A_5_d_fl.c
*
*    Test description:	Read an uninitialized dynamically allocated array 
*			passed to function. Use pointer arithmetic.
*			The file must be compiled with file c_A_5_d_fl.c
*
*    Error line:        33
*		
*    Keywords:		uninitialized variables
*			dynamically allocated array
*			function
*			pointer arithmetic
*			float
*
*    Last modified:	June 1, 2005
*/

#include <stdio.h> 

int func(float *ptrA, int ret1)
{
   float *ptrB, c = 0.0;

   ptrB = ptrA;
   c = c + *(ptrB+5); /* read from an uninitialized array */
   if(ret1 != 1) printf("%d", c);      /* the value of ret1 = 1 */

   return 1;
}

