/*
* Copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
* James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu, 
* and Ziyu Zhang, All rights reserved.
* Licensed under the Educational Community License version 1.0.
* See the full agreement at http://rted.public.iastate.edu/ .
*/
/*
*    Test name:		c_A_7_d_uc.c
*
*    Test description:	Read using an uninitialized pointer in a function.
*			The file must be compiled with file c_A_7_d_uc.c
*		
*    Keywords:		uninitialized variables
*			uninitialized pointer
*			function
*			read
*			unsigned char
*
*    Last modified:	June 2, 2005 
*/

#include <string.h>
#include <stdio.h>

int func(unsigned char *ptrA, int ret1)
{
   unsigned char c[5] = "AB";
   c[0]=*ptrA;  /* the pointer ptrA is passed uninitialized */
   if(ret1 != 1) printf("%s", c);      /* the value of ret1 = 1 */

   return 1;
}

