/*
* Copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
* James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu, 
* and Ziyu Zhang, All rights reserved.
* Licensed under the Educational Community License version 1.0.
* See the full agreement at http://rted.public.iastate.edu/ .
*/
/*
*    Test name:		c_G_1_3_c.c
*
*    Test description:	Deallocate memory with a global pointer
*                       pointing a few elements before the memory block. 
*                       Move the pointer in a function.
*                       The file must be compiled with file c_G_1_3_c.c
*
*    Keywords:		deallocate memory with incorrect pointer
*                       function
*                       moved pointer
*                       global pointer
*			free()
*			int
*
*    Last modified:	June 30, 2005
*/

#include "TEST_CONST.H"

extern int *ptrA;

void func()
{
   ptrA-= K;
}

