/*
* Copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
* James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu, 
* and Ziyu Zhang, All rights reserved.
* Licensed under the Educational Community License version 1.0.
* See the full agreement at http://rted.public.iastate.edu/ .
*/
/*
*    Test name:		c_H_4_a.c
*
*    Test description:	File I/O error. 
*			Close a file that is not opened.
*
*    Error line:        42
*
*    Support files:     index_array.txt, TEST_CONST.H, TEST_PARAM.H
*    
*    Env. requirements: Not needed
*
*    Keywords:		file I/O error
*
*    Last modified:	June 30, 2005
*
*    Programmer:        Olga Taborskaia, Iowa State University
*/

#include "TEST_PARAM.H"

#ifndef EXITCODE_OK
#define EXITCODE_OK 1
#endif

int main(void)
{
    FILE *fp;
    char ch;
   
    ret();
    if(ret1!=1) fp = fopen("file_read.txt", "r");       /* the value of ret1 = 1 */
    if(ret2!=1) {ch = fgetc(fp);  printf("%c\n", ch);} /* he value of ret2 = 1 */

    fclose(fp);
        
    return EXITCODE_OK;
}
