/*
* Copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
* James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu, 
* and Ziyu Zhang, All rights reserved.
* Licensed under the Educational Community License version 1.0.
* See the full agreement at http://rted.public.iastate.edu/ .
*/
/*
*    Test name:		c_C_1_2_c.c
*
*    Test description:	Call a function with incorrect argument data types.
*                       The function uses old-style declaration.
*                       Pass a pointer instead of a pointer to pointer.
*
*    Error line:        47
*
*    Support files:     c_C_1_2_c_s.c, index_array.txt, TEST_CONST.H, TEST_PARAM.H 
*    
*    Env. requirements: Not needed
*
*    Keywords:		incorrect argument data types
*			function
*                       old-style declaration
*                       pass pointer instead of pointer to pointer
*                       C only
*
*    Last modified:	June 28, 2005
*
*    Programmer:        Olga Taborskaia, Iowa State University
*/

#include "TEST_PARAM.H"

#ifndef EXITCODE_OK
#define EXITCODE_OK 1
#endif

int func();         /* old-style function declaration */

int main(void)
{
   int *varA;
   int varB, varC = 1;
    
   varA = &varC;

   varB = func(varA);

   ret();
   if(ret2!=1) printf("%d\n", varB);     /* the value of ret2 = 1 */

   return EXITCODE_OK; 
}
