/*
* Copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
* James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu, 
* and Ziyu Zhang, All rights reserved.
* Licensed under the Educational Community License version 1.0.
* See the full agreement at http://rted.public.iastate.edu/ .
*/
/*
*    Test name:		c_C_1_2_e.c
*
*    Test description:	Call a function that has an old-style prototype. 
*                       The function returns a value of type double, 
*                       but the prototype shows an integer return value.
*			The file must be compiled with file c_C_1_2_e.c
*
*    Keywords:		incorrect argument data types
*			function
*                       old-style prototype
*                       return double value
*                       C only
*
*    Last modified:	June 28, 2005
*/

double func(double c)
{
   double b = 0.12345;
    
   b = b + c*1.54321;

   return b;
}
