!***************************************************************************  
!  copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
!  James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu,
!  and Ziyu Zhang, All rights reserved.
!  Licensed under the Educational Community License version 1.0.
!  See the full agreement at http://rted.public.iastate.edu/ .
!***************************************************************************
!***************************************************************************
!
!     Name of the test:  F_H_1_2_a.f90
!
!     Summary:           allocation/deallocation error
!
!     Test description:  deallocation twice
!                        for pointer in a main program
!                        The error occurs in lines
!
!     Support files:     Not needed
!
!     Env. requirements: Not needed
!
!     Keywords:          deallocation error
!                        main program
!                        
!
!     Last modified:     1/17/2005
!
!     Programmer:        Ying Xu, Iowa State Univ.
!*************************************************************************

program tests
  implicit none
  integer, parameter :: n=10, m=20
  double precision, allocatable, dimension(:,:) :: arr  !  DECLARE
  double precision, allocatable, dimension(:,:) :: arr1 
  integer :: i,j
  allocate(arr1(n,m))
  do i=1,n
     do j=1,m
        arr1(i,j) = dble(i*j)
     enddo
  end do
  print *,arr1(n,m)
  deallocate(arr,arr1)   ! deallocate  ERROR 
end program tests
