!***************************************************************************  
!  copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
!  James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu,
!  and Ziyu Zhang, All rights reserved.
!  Licensed under the Educational Community License version 1.0.
!  See the full agreement at http://rted.public.iastate.edu/ .
!***************************************************************************
!***************************************************************************
!
!     Name of the test:  F_H_1_2_d.f90
!
!     Summary:           allocation/deallocation error
!
!     Test description:  deallocation twice
!                        for pointer in a subroutine which
!                        contains in a module  
!
!     Support files:     F_H_1_2_d_s.f90
!
!     Env. requirements: Not needed
!
!     Keywords:          deallocation error
!                        main function
!                        
!
!     Last modified:     1/17/2005
!
!     Programmer:        Ying Xu, Iowa State Univ.
!*************************************************************************

program tests
  use F_H_1_2_d_s
  implicit none
  
  integer :: n=10, m=20
  integer :: i,j
  double precision :: var
  allocate(arr1(n,m))
  call sub(n,m,var)
  print *,var
  deallocate(arr1)
end program tests
