module F_H_1_3_g_s
  implicit none
  contains
    double precision function sub(n,m)
      integer, intent(in) :: n,m
      integer :: i,j
      double precision, allocatable,target :: arr(:,:)
      double precision, pointer, dimension(:,:) :: ptr
      allocate(arr(n,m))
      ptr => arr
      do i=1,n
         do j=1,m
            ptr(i,j) = dble(i*j)
         end do
      end do
      sub = ptr(n,m)
      deallocate(ptr)   ! deallocate through a pointer. ERROR
      deallocate(arr)
      return
    end function sub
end module F_H_1_3_g_s
