module F_H_1_4_d_s
  implicit none
  contains
    subroutine sub(n,m,var)
      double precision, intent(inout) :: var
      integer, intent(in) :: n,m
      integer :: i,j
      double precision, allocatable, target :: arr(:,:)
      double precision, dimension(:,:), pointer :: ptr  ! DECLARE 

      allocate(arr(n,m))
      ptr=>arr
      do i=1,n
         do j=1,m
            ptr(i,j) = dble(i*j)
         end do
      end do
      var = ptr(n,m)
      deallocate(arr)
      deallocate(ptr)   ! deallocate an unassociated pointer ERROR   
      return
    end subroutine sub
end module F_H_1_4_d_s
