!***************************************************************************  
!  copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
!  James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu,
!  and Ziyu Zhang, All rights reserved.
!  Licensed under the Educational Community License version 1.0.
!  See the full agreement at http://rted.public.iastate.edu/ .
!***************************************************************************
!***************************************************************************
!
!     Name of the test:  F_F_1_1_1_b_t.f90
!
!     Summary:           Out of bounds indexing of arrays
!
!     Test description:  out-of-bounds indexing of 1 D statically allocated array 
!                        The array is derived data type.
!
!     Support files:     not needed
!
!     Env. requirements: not needed
!
!     Keywords:          out-of-bounds indexing 
!                        derived array 
!
!     Last modified:     05/24/05
!
!     Programmer:        Ying Xu
!*************************************************************************
!---------------------------------------------------------------
program rstack
  implicit none
  type S
     integer :: num
     character :: gender
  end type S
  type(S), dimension(:), target :: SS(20)
  integer :: a
  integer :: indx

  do indx=1,20
     SS(indx) % num = indx
     SS(indx) % gender = 'f'
  end do
!  after the loop, indx=21  
  a = SS(indx+10) % num        ! reading out of bounds, ERROR
  print *,'a=',a
end program rstack
