!***************************************************************************
!  copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
!  James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu,
!  and Ziyu Zhang, All rights reserved.
!  Licensed under the Educational Community License version 1.0.
!  See the full agreement at http://rted.public.iastate.edu/ .
!***************************************************************************
!***************************************************************************
!
!     Name of the test:  F_B_1_i.f90
!
!     Summary:           overflow in calculation
!
!     Test description:  overflow in calculation (power) 
!                        integer data type
!
!     Support files:     not needed
!
!     Env. requirements: not needed
!
!     Keywords:          overflow
!                        integer data type
!
!     Last modified:     06/06/05
!
!     Programmer:        Ying Xu
!*************************************************************************
program tests
  implicit none
    integer :: a,i   ! DECLARE 
    a = 1000
    do i=1,100
       a =a**2   !over flow occurs.  ERROR
    end do
    print *,'a=',a
  end program tests
