!***************************************************************************
!  copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
!  James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu,
!  and Ziyu Zhang, All rights reserved.
!  Licensed under the Educational Community License version 1.0.
!  See the full agreement at http://rted.public.iastate.edu/ .
!***************************************************************************
!***************************************************************************
!
!     Name of the test:  F_I_7_a.f90
!
!     Summary:           invalid character in numeric field
!
!     Test description:  formatted read with invalid character in the 
!                        integer field                     
!
!     Support files:     F_I_7_a.txt
!
!     Env. requirements: not needed
!
!     Keywords:          invalid character in numeric field
!
!     Last modified:     06/01/05
!
!     Programmer:        Ying Xu
!*************************************************************************
program tests
  implicit none
  integer arr(3),i,j
  real  ::  x,y,z
  open (20,file='F_I_7_a.txt',status='unknown')
  do i=1,10
    x=i 
    y=x*x
    z=x*x*x
    write (20,fmt="(3f10.5)") x,y,z
  enddo
  close (20)
  open (11,file='F_I_7_a.txt',status='old')
  read (11,fmt="(3i8)") arr(3)              ! ERROR
  print *,arr
  close(11)
end program tests
