!***************************************************************************
!  copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
!  James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu,
!  and Ziyu Zhang, All rights reserved.
!  Licensed under the Educational Community License version 1.0.
!  See the full agreement at http://rted.public.iastate.edu/ .
!***************************************************************************
!***************************************************************************
!
!     Name of the test:  F_J_2_a.f90  
!
!     Summary:           memory leak 
!
!     Test description:  reset the pointer to somewhere else or nullify it
!                        before deallocate the pointer
!
!     Support files:     not needed
!
!     Env. requirements: 
!
!     Keywords:          memory leak
!
!     Last modified:     06/09/2005
!
!     Programmer:        Ying Xu
!*************************************************************************
program test
  implicit none
  double precision, pointer, dimension(:,:)  :: ptr  ! DECLARE
  double precision :: var
  integer :: m=10,i,j,count

  do count=1,m
     allocate(ptr(m,m))         ! ERROR 
     do i=1,m 
        do j=1,m
           ptr(i,j) = dble((count+i)*j)
        end do
     end do
     print *,ptr(m,m)
  end do 
  deallocate(ptr)
end program test
  

