!***************************************************************************  
!  copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
!  James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu,
!  and Ziyu Zhang, All rights reserved.
!  Licensed under the Educational Community License version 1.0.
!  See the full agreement at http://rted.public.iastate.edu/ .
!***************************************************************************
!***************************************************************************
!
!     Name of the test:  F_G_1_2_1_b_t.f90
!
!     Summary:           Out of bounds indexing of pointer
!
!     Test description:  out-of-bounds indexing of 1 D dynamically allocated pointer 
!                        The array is derived data type.
!
!     Support files:     
!
!     Env. requirements: not needed
!
!     Keywords:          out-of-bounds indexing 
!                        derived array 
!
!     Last modified:     05/29/05
!
!     Programmer:        Ying Xu
!*************************************************************************
!---------------------------------------------------------------
program rheap
  implicit none
  type S
     integer :: num
     character :: gender
  end type S
  type(S), dimension(:), pointer :: ptr
  integer :: a
  character :: b
  integer :: indx, istat
  
  allocate(ptr(1:20),STAT=istat)
  if (istat == 0 ) then
     do indx=1,20
        ptr(indx) % num = indx
        ptr(indx) % gender = 'f'
     end do
!    now index=21
     a = ptr(indx+10) % num        ! reading beyond the bound: a = ptr(31)%num   ERROR
     print *,'a= ',a
     stop
  end if
end program rheap
