!***************************************************************************  
!  copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
!  James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu,
!  and Ziyu Zhang, All rights reserved.
!  Licensed under the Educational Community License version 1.0.
!  See the full agreement at http://rted.public.iastate.edu/ .
!***************************************************************************
!***************************************************************************
!
!     Name of the test:  F_E_1_1_1_c.f90
!
!     Summary:           string out-of-bounds 
!
!     Test description:  string out-of-bounds for character string
!                        read through array section 
!
!     Support files:     not needed 
!
!     Env. requirements: not needed
!
!     Keywords:          string out-of-bounds 
!
!     Last modified:     05/20/05
!
!     Programmer:        Ying Xu
!*************************************************************************
program tests
  implicit none
  integer, parameter :: strlen=20
  character(strlen) :: str,substr   ! DECLARE
  integer :: I1, I2
  str = 'abcdefghij'
  I1 = 0
  I2 = I1+strlen-1
  substr = str(I1:I2)   !read out of bounds, ERROR 
  print *,str,substr
end program tests
