!***************************************************************************  
!  copyright (c) 2005 Iowa State University, Glenn Luecke, James Coyle,
!  James Hoekstra, Marina Kraeva, Olga Taborskaia, Andre Wehe, Ying Xu,
!  and Ziyu Zhang, All rights reserved.
!  Licensed under the Educational Community License version 1.0.
!  See the full agreement at http://rted.public.iastate.edu/ .       
!***************************************************************************
!***************************************************************************
!
!     Name of the test:  F_A_5_2_c_i.f90
!
!     Summary:           uninitialized variable 

!
!     Test description:  the integer variable is used as the stride of 
!                        a loop;
!                        uninitialized variable is declared in an external subroutine; 
!                        The variable is integer.

!
!     Support files:     not needed

!
!     Env. requirements: not needed
!
!     Keywords:          as upper bound
!                        in main program 
!                        integer data type 
!
!     Last modified:     05/16/05
!
!     Programmer:        Ying Xu
!*************************************************************************
program tests
  implicit none
  integer :: flag, count
  integer :: m,n,mm,i,j  ! DECLARE
  double precision, allocatable :: arr(:,:)
  double precision :: tmp
  
  call random_number(tmp)
  flag = int(sin(tmp))
  m=2
  n=3
  if (flag==1) then
     mm=1
  end if
  count = 0
  allocate(arr(m,n))
  do j=1,n
     do i=1,m,mm   ! ERROR
        count = count+1
        if (count<5) then
           arr(i,j) = dble(i*j)
        else
           exit
        end if
     end do
  end do
  print *,arr(m,n),count,flag
end program tests
